Bug 17602

Summary: Personal stylesheet shows in inspector as an inline stylesheet
Product: WebKit Reporter: Matt Lilek <dev+webkit>
Component: Web Inspector (Deprecated)Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: rik, timothy
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Proposed patch timothy: review+

Description Matt Lilek 2008-02-29 02:57:51 PST
If you have a personal stylesheet set, it will show up in the inspector's sidebar as an inline stylesheet.  It should be classified as a non-editable UA sheet.
Comment 1 Anthony Ricaud 2008-05-27 11:55:18 PDT
Created attachment 21364 [details]
Proposed patch

This patch assumes that user stylesheets are always attached to the document and are the only stylesheets in that case. I hope this is true.
Comment 2 David Kilzer (:ddkilzer) 2008-05-28 06:56:02 PDT
<rdar://problem/5967637>
Comment 3 Matt Lilek 2008-05-28 15:27:14 PDT
Thanks!

Committed revision 34185.